package com.sz.admin.monitor.service;

import com.mybatisflex.core.service.IService;
import com.sz.admin.monitor.pojo.dto.preset.PresetCreateDTO;
import com.sz.admin.monitor.pojo.dto.preset.PresetDeleteDTO;
import com.sz.admin.monitor.pojo.po.Nvr;
import com.sz.admin.monitor.pojo.po.Preset;
import com.sz.admin.monitor.pojo.vo.Region.RegionVO;
import com.sz.admin.monitor.pojo.vo.preset.PresetVO;

import java.io.Serializable;
import java.util.List;

/**
 * ClassName: PresetService
 * Package: com.sz.admin.monitor.service
 * Description:
 */
public interface PresetService extends IService<Preset> {
    List<PresetVO> getPresetList(Long id);

    // 删除预置位
    void removePreset(PresetDeleteDTO dto);

    // 新增预置位
    void create(PresetCreateDTO dto);

    // 根据 摄像头id和当前预置点查询
    Preset selectByCameraIdAndPresetIndex(Long cameraId, int presetIndex);

    // 查询数据库中已经存在的预置位
    List<PresetVO> getExistPresetList(Long cameraId);

    // 查询设置了标准位的通道号的预置位
    List<Preset> selectByCameraIds(List<Long> cameraIds);

}
